## notmuch 0.0+201001211401

=== Makefile ===
WARN_CXXFLAGS=-Wall -Wextra -Wwrite-strings -Wswitch-enum
WARN_CFLAGS=$(WARN_CXXFLAGS) -Wmissing-declarations

# Additional programs that are used during the compilation process.
EMACS ?= emacs
# Lowercase to avoid clash with GZIP environment variable for passing
# arguments to gzip.
gzip = gzip

bash_completion_dir = /etc/bash_completion.d

all_deps = Makefile Makefile.local Makefile.config \
		   lib/Makefile lib/Makefile.local

extra_cflags :=
extra_cxxflags :=

# Now smash together user's values with our extra values
FINAL_CFLAGS = $(CFLAGS) $(WARN_CFLAGS) $(CONFIGURE_CFLAGS) $(extra_cflags)
FINAL_CXXFLAGS = $(CXXFLAGS) $(WARN_CXXFLAGS) $(CONFIGURE_CXXFLAGS) $(extra_cflags) $(extra_cxxflags)
FINAL_LDFLAGS = $(LDFLAGS) $(CONFIGURE_LDFLAGS)

all: notmuch notmuch.1.gz

# Before including any other Makefile fragments, get settings from the
# output of configure
Makefile.config: configure
	@echo ""
	@echo "Note: Calling ./configure with no command-line arguments. This is often fine,"
	@echo "      but if you want to specify any arguments (such as an alternate prefix"
	@echo "      into which to install), call ./configure explicitly and then make again."
	@echo "      See \"./configure --help\" for more details."
	@echo ""
	./configure

include Makefile.config

include lib/Makefile.local
include compat/Makefile.local
include Makefile.local

# The user has not set any verbosity, default to quiet mode and inform the
# user how to enable verbose compiles.
ifeq ($(V),)
quiet_DOC := "Use \"$(MAKE) V=1\" to see the verbose compile lines.\n"
quiet = @printf $(quiet_DOC)$(eval quiet_DOC:=)"  $1 $2	$@\n"; $($1)
endif
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1	$@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

%.o: %.cc $(all_deps)
	$(call quiet,CXX,$(CXXFLAGS)) -c $(FINAL_CXXFLAGS) $< -o $@

%.o: %.c $(all_deps)
	$(call quiet,CC,$(CFLAGS)) -c $(FINAL_CFLAGS) $< -o $@

%.elc: %.el
	$(call quiet,EMACS) -batch -f batch-byte-compile $<

.deps/%.d: %.c $(all_deps)
	@set -e; rm -f $@; mkdir -p $$(dirname $@) ; \
	$(CC) -M $(CPPFLAGS) $(FINAL_CFLAGS) $< > $@.$$$$ 2>/dev/null ; \
	sed 's,'$$(basename $*)'\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

.deps/%.d: %.cc $(all_deps)
	@set -e; rm -f $@; mkdir -p $$(dirname $@) ; \
	$(CXX) -M $(CPPFLAGS) $(FINAL_CXXFLAGS) $< > $@.$$$$ 2>/dev/null ; \
	sed 's,'$$(basename $*)'\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

DEPS := $(SRCS:%.c=.deps/%.d)
DEPS := $(DEPS:%.cc=.deps/%.d)
-include $(DEPS)

.PHONY : clean
clean:
	rm -f $(CLEAN); rm -rf .deps

=== debian/changelog ===
notmuch (0.0+201001211401) unstable; urgency=low

  * Upload to Debian (closes: #557354).
  * New versioning scheme.
  * Added emacs build dependency.
  * Added Vcs-Browser field to debian/control.
  * Downgrade recommendation for emacs to suggestion.
  * Add vim to suggestions and enhancements.
  * Put debian/* under separate copyright.
  * Make Carl the maintainer.
  * Add myself to uploaders.
  * Install the vim plugin (using vim-addons).

 -- martin f. krafft <madduck@debian.org>  Thu, 21 Jan 2010 14:00:54 +1300

notmuch (0.0-1) unstable; urgency=low

  * New Debian package.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 27 Nov 2009 13:39:09 -0500

=== debian/control ===
Source: notmuch
Section: mail
Priority: extra
Maintainer: Carl Worth <cworth@debian.org>
Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>, martin f. krafft <madduck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxapian-dev, libgmime-2.4-dev, libtalloc-dev, libz-dev, emacs (>= 23~)
Standards-Version: 3.8.3
Homepage: http://notmuchmail.org/
Vcs-Git: git://notmuchmail.org/git/notmuch
Vcs-Browser: http://git.debian.org/?p=collab-maint/notmuch.git;a=summary
Dm-Upload-Allowed: yes

Package: notmuch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: emacs, vim
Suggests: emacs, vim
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages. It uses the Xapian library to
 provide fast, full-text search of very large collection of email with
 a very convenient search syntax.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installdocs:
	dh_installdocs
	install -m644 vim/README debian/notmuch/usr/share/doc/notmuch/README.vim

override_dh_install:
	dh_install
	install -m644 vim/plugin/notmuch.vim debian/notmuch/usr/share/vim/addons/plugin
	install -m644 vim/syntax/notmuch-*.vim debian/notmuch/usr/share/vim/addons/syntax
	install -m644 vim/notmuch.yaml debian/notmuch/usr/share/vim/registry

## notmuch 0.3.1

=== debian/changelog ===
notmuch (0.3.1) unstable; urgency=low

  * Fix an infinite loop in "notmuch reply"
  * Fix a potential SEGV in "notmuch search"
  * emacs: Fix calculations for line wrapping in the "notmuch" view.
  * emacs: Fix Fcc support to prompt to create a directory if necessary

 -- Carl Worth <cworth@debian.org>  Tue, 27 Apr 2010 17:02:07 -0700

notmuch (0.3) unstable; urgency=low

  * User-configurable tags for new messages
  * Threads search results named based on subjects that match search
  * Faster operation of "notmuch tag" (avoid unneeded sorting)
  * Even Better guessing of From: header for "notmuch reply"
  * Indication of author names that match a search
  * emacs: An entirely new initial view for notmuch, (friendly yet powerful)
  * emacs: Full-featured "customize" support for configuring notmuch
  * emacs: Support for doing tab-completion of email addresses
  * emacs: Support for file-based (Fcc) delivery of sent messages
  * emacs: New 'G' key binding to trigger mail refresh (G == "Get new mail")
  * emacs: Implement emacs message display with the JSON output from notmuch
  * emacs: Better handling of HTML/MIME attachments (inline images!)
  * emacs: Customizable support for tidying of text/plain message content
  * emacs: New support for searchable citations (even when hidden)
  * emacs: More flexible handling of header visibility
  * emacs: The Return key now toggles message visibility anywhere
  * emacs: Customizable formatting of search results
  * emacs: Generate nicer names for search buffers when using a saved search.
  * emacs: Add a notmuch User-Agent header when sending mail from notmuch/emacs
  * emacs: New keybinding (M-Ret) to open all collapsed messages in a thread
  * libnotmuch1: Provide a new NOTMUCH_SORT_UNSORTED value for queries

 -- Carl Worth <cworth@debian.org>  Tue, 27 Apr 2010 02:07:29 -0700

notmuch (0.2) unstable; urgency=low

  * Better guessing of From: header.
  * Make "notmuch count" with no arguments count all messages
  * Provide a new special-case search term of "*" to match all messages.
  * Detect thread connections when a parent message is missing.
  * Fix potential data loss in "notmuch new" with SIGINT
  * Fix segfault when a message includes a MIME part that is empty.
  * Fix handling of non-ASCII characters with --format=json
  * Fix headers to be properly decoded in "notmuch reply"
  * emacs: Show the last few lines of citations as well as the first few lines.
  * emacs: The '+' and '-' commands can now add and remove tags by region.
  * emacs: More meaningful buffer names for thread-view buffers. 
  * emacs: Customized colors of threads in search view based on tags.

 -- Carl Worth <cworth@debian.org>  Fri, 16 Apr 2010 10:20:23 -0700

notmuch (0.1-1) unstable; urgency=low

  [ martin f. krafft ]
  * Add suggestion to vim-addon-manager.

  [ Carl Worth ]
  * Improve package description (closes: #566282).
  * New upstream version (0.1) (closes: #576647).
  * New versioning to track upstream version scheme.
  * Split packaging into notmuch, libnotmuch1, and libnotmuch-dev.
  * Update to advertise conformance with policy 3.8.4 (no changes).
  * Add a debian/watch file to notice upstream tar files.

 -- Carl Worth <cworth@debian.org>  Tue, 06 Apr 2010 18:27:49 -0700

## notmuch 0.3.1+squeeze1

=== Makefile ===
# We want the all target to be the implicit target (if no target is
# given explicitly on the command line) so mention it first.
all:

# List all subdirectories here. Each contains its own Makefile.local
subdirs = compat completion emacs lib

# We make all targets depend on the Makefiles themselves.
global_deps = Makefile Makefile.config Makefile.local \
	$(subdirs:%=%/Makefile) $(subdirs:%=%/Makefile.local)

# Sub-directory Makefile.local fragments can append to these variables
# to have directory-specific cflags as necessary.

extra_cflags :=
extra_cxxflags :=

# Get settings from the output of configure by running it to generate
# Makefile.config if it doesn't exist yet. And add Makefile.config to
# our global dependency list.
include Makefile.config
Makefile.config: configure
	@echo ""
	@echo "Note: Calling ./configure with no command-line arguments. This is often fine,"
	@echo "      but if you want to specify any arguments (such as an alternate prefix"
	@echo "      into which to install), call ./configure explicitly and then make again."
	@echo "      See \"./configure --help\" for more details."
	@echo ""
	./configure

# Finally, include all of the Makefile.local fragments where all the
# real work is done.

include $(subdirs:%=%/Makefile.local) Makefile.local

=== lib/Makefile ===
# See Makfefile.local for the list of files to be compiled in this
# directory.
all:
	$(MAKE) -C .. all

.DEFAULT:
	$(MAKE) -C .. $@

=== vim/Makefile ===
.PHONY: all help install link symlink

FILES     = plugin/notmuch.vim \
	    $(wildcard syntax/notmuch-*.vim)

PREFIX    = $(shell ls -d ~/.vim/)

OUT_FILES = $(FILES:%=${PREFIX}/%)

all: help

help:
	@echo "I don't actually build anything, but I will help you install"
	@echo "notmuch support for vim."
	@echo
	@echo "    make install     - copy plugin scripts and syntax files to ~/.vim"
	@echo "    make symlink     - create symlinks in ~/.vim (useful for development)"

install: ${OUT_FILES}
link symlink:
	${MAKE} SYMLINK=1 install

${OUT_FILES}: ${PREFIX}/%: %
	$(if ${SYMLINK},ln -fs,cp) `pwd`/$< $@

=== debian/changelog ===
notmuch (0.3.1+squeeze1) stable-security; urgency=high

  * Backport MML quoting patch from notmuch 0.11.1.  This fixes a
    vulnerability that allowed arbitrary files to leak when replying in
    emacs to a malicious message.

 -- David Bremner <bremner@debian.org>  Fri, 17 Feb 2012 00:10:07 -0400

=== debian/control ===
Source: notmuch
Section: mail
Priority: extra
Maintainer: Carl Worth <cworth@debian.org>
Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>, martin f. krafft <madduck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxapian-dev, libgmime-2.4-dev, libtalloc-dev, libz-dev, emacs (>= 23~)
Standards-Version: 3.8.4
Homepage: http://notmuchmail.org/
Vcs-Git: git://notmuchmail.org/git/notmuch
Vcs-Browser: http://git.notmuchmail.org/git/notmuch
Dm-Upload-Allowed: yes

Package: notmuch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: emacs, vim
Suggests: emacs, vim, vim-addon-manager
Description: thread-based email index, search and tagging
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the notmuch command-line interface as well as
 emacs and vim interfaces for notmuch.

Package: libnotmuch1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: thread-based email index, search and tagging (runtime)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package contains the runtime library, necessary to run
 applications using libnotmuch.

Package: libnotmuch-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libnotmuch1 (= ${binary:Version})
Description: thread-based email index, search and tagging (development)
 Notmuch is a system for indexing, searching, reading, and tagging
 large collections of email messages in maildir or mh format. It uses
 the Xapian library to provide fast, full-text search with a very
 convenient search syntax.
 .
 This package provides the necessary development libraries and header
 files to allow you to develop new software using libnotmuch.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
+
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch
 
 override_dh_installdocs:
 	dh_installdocs

## notmuch 0.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all:
 
 # List all subdirectories here. Each contains its own Makefile.local
-subdirs = compat completion emacs lib
+subdirs = compat completion emacs lib test
 
 # We make all targets depend on the Makefiles themselves.
 global_deps = Makefile Makefile.config Makefile.local \

=== debian/changelog ===
notmuch (0.5) unstable; urgency=low

  * new: maildir-flag synchronization
  * new: New "notmuch show --format=raw" (enables local emacs interface,
    for example, to use remote notmuch via ssh)
  * lib: Support for multiple files for a message
    (notmuch_message_get_filenames)
  * lib: Support for maildir-flag synchronization
    (notmuch_message_tags_to_maildir_flags and
    notmuch_message_maildir_flags_to_tags)
  * emacs: Incompatible change to format of notmuch-fcc-dirs variable (for
    users using the "fancy" configuration)
  * emacs: Cleaner display of subject lines in thread views

 -- Carl Worth <cworth@debian.org>  Thu, 11 Nov 2010 20:49:11 -0800

notmuch (0.4) unstable; urgency=low

  * new: notmuch search --output=(summary|threads|messages|tags|files)
  * new: notmuch show --format=mbox <search-specification>
  * new: notmuch config [get|set] <section>.<item> [value ...]
  * lib: Add notmuch_query_get_query_string and notmuch_query_get_sort
  * emacs: Enable Fcc of all sent messages by default (to "sent" directory)
  * emacs: Ability to all open messages in a thread to a pipe
  * emacs: Optional support for detecting inline patches
  * emacs: Automatically tag messages as "replied" when sending a reply
  * emacs: Allow search-result color specifications to overlay each other
  * emacs: Make hidden author names still available for incremental search.
  * emacs: New binding of Control-TAB (works like TAB in reverse)
  * test: New modularization of test suite.
  * test: New testing of emacs interface.
  * bugfix: Avoid setting Bcc header in "notmuch reply"
  * bugfix: Avoid corruption of database when "notmuch new " is interrupted.
  * bugfix: Fix failure with extremely long message ID headers.
  * bugfix: Fix for messages with "charset=unknown-8bit"
  * bugfix: Fix notmuch_query_search_threads to return NULL on any exception
  * bugfix: Fix "notmuch search" to return non-zero on any exception
  * emacs bugfix: Fix for message with a subject containing, "[1234]"
  * emacs bugfix: Fix to correctly handle message IDs containing ".."
  * emacs bugfix: Fix initialization so "M-x notmuch" works by default.

 -- Carl Worth <cworth@debian.org>  Mon, 01 Nov 2010 16:23:47 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Carl Worth <cworth@debian.org>
 Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>, martin f. krafft <madduck@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxapian-dev, libgmime-2.4-dev, libtalloc-dev, libz-dev, emacs (>= 23~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1.0
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
 Vcs-Browser: http://git.notmuchmail.org/git/notmuch

## notmuch 0.6.1

=== Makefile ===
--- 
+++ 
@@ -16,17 +16,24 @@
 extra_cxxflags :=
 
 # Get settings from the output of configure by running it to generate
-# Makefile.config if it doesn't exist yet. And add Makefile.config to
-# our global dependency list.
+# Makefile.config if it doesn't exist yet.
+
+# If Makefile.config doesn't exist, then srcdir won't be
+# set. Conditionally set it (assuming a plain srcdir build) so that
+# the rule to generate Makefile.config can actually work.
+srcdir ?= .
+
 include Makefile.config
-Makefile.config: configure
+Makefile.config: $(srcdir)/configure
+ifeq ($(configure_options),)
 	@echo ""
 	@echo "Note: Calling ./configure with no command-line arguments. This is often fine,"
 	@echo "      but if you want to specify any arguments (such as an alternate prefix"
 	@echo "      into which to install), call ./configure explicitly and then make again."
 	@echo "      See \"./configure --help\" for more details."
 	@echo ""
-	./configure
+endif
+	$(srcdir)/configure $(configure_options)
 
 # Finally, include all of the Makefile.local fragments where all the
 # real work is done.

=== debian/changelog ===
notmuch (0.6.1-1) unstable; urgency=low

  * Properly install README.Debian in notmuch-vim (Closes: #632992).
    Thanks to Jason Woofenden for the report.
  * Force notmuch to depend on the same version of libnotmuch. Thanks to
    Uwe Kleine-König for the patch.
  * Export typeinfo for Xapian exceptions from libnotmuch. This fixes
    certain mysterious uncaught exception problems.

 -- David Bremner <bremner@debian.org>  Sun, 17 Jul 2011 10:20:42 -0300

notmuch (0.6) unstable; urgency=low

  * New upstream release; see /usr/share/doc/notmuch/NEWS for
    details. Hilights include:
    - Folder-based search (Closes: #597222)
    - PGP/MIME decryption and verification
  * Document strict dependency on emacs23 (Closes: #631994).

 -- David Bremner <bremner@debian.org>  Fri, 01 Jul 2011 11:45:22 -0300

notmuch (0.6~rc1) experimental; urgency=low

  * Git snapshot 3f777b2
  * Upstream release candidate.
  * Fix description of notmuch-vim to mention vim, not emacs
    (Closes: #631974)
  * Install zsh completion as an example instead of into /usr/share/zsh to
    avoid file conflict with zsh.

 -- David Bremner <bremner@debian.org>  Thu, 30 Jun 2011 10:02:05 -0300

notmuch (0.6~254) experimental; urgency=low

  [David Bremner]
  * Git snapshot fba968d
  * Upstream release candidate
  * Build binary package python-notmuch from upstream notmuch.
  * Split off emacs and vim interfaces into their own packages.
    (Closes: #578199)
  * Hide Xapian exception symbols
  * Build-depend on emacs23-nox instead of emacs

  [ Jameson Rollins ]
  * Bump standards version to 3.9.2 (No changes).
  
 -- David Bremner <bremner@debian.org>  Thu, 23 Jun 2011 07:50:05 -0300

notmuch (0.6~237) experimental; urgency=low

  * Git snapshot 12d6f90
  * Emacs: hide original message in top posted replies, isearch fix,
    message display/hiding fixes/improvements.
  * CLI: received header fixes.
  * python: Improve docs, Remove Messages().__len__, Implement
    Message.__cmp__ and __hash__, Message.tags_to_maildir_flags

 -- David Bremner <bremner@debian.org>  Sat, 18 Jun 2011 11:14:51 -0300

notmuch (0.6~215) experimental; urgency=low

  * Git snapshot 5143e5e
  * GMime: improve password handling, prevent premature closing stdout
  * Emacs: sender address UI tweaks
  * lib/message-file: plug three memleaks.
  * Updated python bindings
  * Sanitize "Subject:" and "Author:" fields in notmuch-search
  * vim: new delete command, update mark as read command

 -- David Bremner <bremner@debian.org>  Sat, 04 Jun 2011 08:37:36 -0300

notmuch (0.6~180) experimental; urgency=low

  * Git snapshot 1a96c40
  * Fix corruption of binary parts
    (see ML id:"874o4a1m74.fsf@yoom.home.cworth.org")

 -- David Bremner <bremner@debian.org>  Tue, 31 May 2011 21:16:35 -0300

notmuch (0.6~171) experimental; urgency=low

  * Git snapshot cb8418784c2
  * PGP/MIME handling in CLI and emacs front end.
  * cli: Rewrite of multipart handling.
  * emacs: Make the queries used in the all-tags section configurable
  * emacs: Choose from address when composing/replying
  * emacs: add notmuch-before- and notmuch-after-tag-hook
  * notmuch reply: Avoid segmentation fault when printing multiple parts
  * notmuch show: New part output handling.
  * emacs: Show cleaner `From:' addresses in the summary line.
  * emacs: Add custom `notmuch-show-elide-same-subject', 
    `notmuch-show-always-show-subject' 
  * emacs: Render text/x-vcalendar parts.
  * emacs: Add `notmuch-show-multipart/alternative-discouraged'.
  * vim: parse 'from' address, use sendmail directly, implement archive in
    show view, refactor tagging stuff
  * Eager metadata optimizations
  * emacs: Fix notmuch-search-process-filter to handle incomplete lines
  * Fix installation of zsh completion
  * new: Enhance progress reporting
  * Do not defer maildir flag synchronization for new messages
  * vim: Get user email address from notmuch config file.
  * lib: Save and restore term position in message while indexing.
  * notmuch search: Clean up some memory leaks during search loop.
  * New bindings for Go
  * ruby: Add wrapper for message_get_filenames,  maildir sync. interface
    query_get_s{ort,tring}
  * Add support for folder-based searching.
  * compatibility fixes for emacs22

 -- David Bremner <bremner@debian.org>  Sat, 28 May 2011 07:25:49 -0300

notmuch (0.5+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable.

 -- David Bremner <bremner@debian.org>  Sun, 01 May 2011 15:09:09 -0300

notmuch (0.5+nmu2) experimental; urgency=low

  * Non-maintainer upload.
  * Second try at timeout for test. Put timeouts at top level.

 -- David Bremner <bremner@debian.org>  Sun, 19 Dec 2010 21:40:08 -0400

notmuch (0.5+nmu1) experimental; urgency=low

  * Non-maintainer upload.
  * Add a timeout to emacs tests to hopefully work around build failures.

 -- David Bremner <bremner@debian.org>  Tue, 14 Dec 2010 22:23:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: mail
 Priority: extra
 Maintainer: Carl Worth <cworth@debian.org>
-Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>, martin f. krafft <madduck@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxapian-dev, libgmime-2.4-dev, libtalloc-dev, libz-dev, emacs (>= 23~)
-Standards-Version: 3.9.1.0
+Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>, martin f. krafft <madduck@debian.org>, 
+	   David Bremner <bremner@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxapian-dev, 
+ libgmime-2.4-dev, libtalloc-dev, libz-dev,  python-all (>= 2.6.6-3~),
+ emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~)
+Standards-Version: 3.9.2
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
 Vcs-Browser: http://git.notmuchmail.org/git/notmuch
@@ -12,17 +15,15 @@
 
 Package: notmuch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Enhances: emacs, vim
-Suggests: emacs, vim, vim-addon-manager
+Depends: libnotmuch1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: notmuch-emacs | notmuch-vim
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
  the Xapian library to provide fast, full-text search with a very
  convenient search syntax.
  .
- This package contains the notmuch command-line interface as well as
- emacs and vim interfaces for notmuch.
+ This package contains the notmuch command-line interface
 
 Package: libnotmuch1
 Section: libs
@@ -49,3 +50,48 @@
  .
  This package provides the necessary development libraries and header
  files to allow you to develop new software using libnotmuch.
+
+Package: python-notmuch
+Architecture: all
+Section: python
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch1
+Description: python interface to the notmuch mail search and index library
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package provides a Python interface to the notmuch
+ functionality, directly interfacing with a shared notmuch library.
+
+Package: notmuch-emacs
+Architecture: all
+Section: mail
+Breaks: notmuch (<<0.6~254~)
+Replaces: notmuch (<<0.6~254~)
+Depends: ${misc:Depends}, notmuch,
+ emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~)
+Description: thread-based email index, search and tagging (emacs interface)
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package provides an emacs based mail user agent based on
+ notmuch.
+
+Package: notmuch-vim
+Architecture: all
+Section: mail
+Breaks: notmuch (<<0.6~254~)
+Replaces: notmuch (<<0.6~254~)
+Depends: ${misc:Depends}, notmuch, vim-addon-manager
+Description: thread-based email index, search and tagging (vim interface)
+ Notmuch is a system for indexing, searching, reading, and tagging
+ large collections of email messages in maildir or mh format. It uses
+ the Xapian library to provide fast, full-text search with a very
+ convenient search syntax.
+ .
+ This package provides a vim based mail user agent based on
+ notmuch.
+

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -n 's/^Version:\([^-]*\)/\1/p')

%:
	dh --with python2 $@

override_dh_auto_configure:
	cp version debian/version.pre-build
	echo $(VERSION) > version
	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory bindings/python

override_dh_auto_clean:
	-mv debian/version.pre-build version
	dh_auto_clean
	dh_auto_clean --sourcedirectory bindings/python

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory bindings/python

## notmuch 0.10.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all:
 
 # List all subdirectories here. Each contains its own Makefile.local
-subdirs = compat completion emacs lib test
+subdirs = compat completion emacs lib util test
 
 # We make all targets depend on the Makefiles themselves.
 global_deps = Makefile Makefile.config Makefile.local \

=== bindings/go/cmds/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ${GOROOT}/src/Make.inc

TARG=notmuch-addrlookup
GOFILES=\
	notmuch-addrlookup.go

include ${GOROOT}/src/Make.cmd

## notmuch 0.10.2

=== bindings/go/pkg/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include $(GOROOT)/src/Make.inc

TARG=notmuch
CGOFILES=notmuch.go
CGO_LDFLAGS=-lnotmuch

CLEANFILES+=notmuch_test

include $(GOROOT)/src/Make.pkg

%: install %.go
	$(GC) $*.go
	$(LD) -o $@ $*.$O

=== debian/changelog ===
notmuch (0.10.2-1) unstable; urgency=low

  * Upstream bug fix release
    - Fix segfault in python bindings due to missing g_type_init call.

 -- David Bremner <bremner@debian.org>  Sun, 04 Dec 2011 22:06:46 -0400

notmuch (0.10.1-1) unstable; urgency=low

  * Upstream bug fix release.
    - Fix segfault on "notmuch --help"

 -- David Bremner <bremner@debian.org>  Fri, 25 Nov 2011 12:11:30 -0500

notmuch (0.10-1) unstable; urgency=low

  * New upstream release
    - search performance improvements
    - emacs UI improvements
    - new dump/restore features
    - new script contrib/nmbug for sharing tags
    - see /usr/share/doc/notmuch/NEWS for details

 -- David Bremner <bremner@debian.org>  Wed, 23 Nov 2011 07:44:01 -0400

notmuch (0.10~rc2-1) experimental; urgency=low

  * New upstream release candidate
    - includes patch to avoid long unix domain socket paths in tests

 -- David Bremner <bremner@debian.org>  Sat, 19 Nov 2011 08:21:39 -0400

notmuch (0.10~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- David Bremner <bremner@debian.org>  Tue, 15 Nov 2011 19:46:55 -0400

notmuch (0.9-1) unstable; urgency=low

  * New upstream release.
  * Only doc changes since last release candidate.
  * Upload to unstable.

 -- David Bremner <bremner@debian.org>  Tue, 11 Oct 2011 21:51:29 -0300

notmuch (0.9~rc2-1) experimental; urgency=low

  * Upstream release candidate
  * API changes for n_d_find_message and n_d_find_message_by_filename.
    - New SONAME for libnotmuch
    - bindings changes for ruby and python
  * Less non-text parts reported in replies.
  * emacs: provide button action to fetch unknown gpg keys 

 -- David Bremner <bremner@debian.org>  Fri, 07 Oct 2011 18:53:04 -0300

notmuch (0.9~rc1-1) experimental; urgency=low

  * Upstream release candidate
    - Atomicity improvements, thanks to Austin Clements
    - Add missing call to g_type_init, thanks to Aaron Ecay
  * notmuch-emacs: add versioned dependency on notmuch.  
    (Closes: #642240).

 -- David Bremner <bremner@debian.org>  Sun, 25 Sep 2011 11:26:01 -0300

notmuch (0.8-1) unstable; urgency=low

  * New upstream version.
    - Improved handling of message/rfc822 parts
    - Improved Build system portability 
    - Documentation update for Ruby bindings
    - Unicode, iterator, PEP8 changes for python bindings

 -- David Bremner <bremner@debian.org>  Sat, 10 Sep 2011 08:53:55 -0300

notmuch (0.8~rc1-1) experimental; urgency=low

  * Upstream release candidate.

 -- David Bremner <bremner@debian.org>  Tue, 06 Sep 2011 22:24:24 -0300

notmuch (0.7-1) unstable; urgency=low

  * New upstream release (no changes since 0.7~rc1).
  * Upload to unstable.

 -- David Bremner <bremner@debian.org>  Mon, 01 Aug 2011 21:46:26 +0200

notmuch (0.7~rc1-1) experimental; urgency=low

  * Upstream release candidate.
  * Fix for notmuch.sym and parallel build (Thanks to
    Thomas Jost)
  * Bug fixes from Jason Woofenden for vim interface:
    -  Fix "space (in show mode) mostly adds tag:inbox and tag:unread
       instead of removing them"  (Closes: #633009).
    -  Fix "says press 's'; to toggle signatures, but it's
       really 'i'",  (Closes: #633115).
    -  Fix "fix for from list on search pages", (Closes: #633045).
  * Bug fixes for vim interface from Uwe Kleine-König
    - use full path for sendmail/doc fix
    - fix compose temp file name
  * Python tag encoding fixes from Sebastian Spaeth.

 -- David Bremner <bremner@debian.org>  Fri, 29 Jul 2011 12:16:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,21 @@
 Section: mail
 Priority: extra
 Maintainer: Carl Worth <cworth@debian.org>
-Uploaders: Jameson Graef Rollins <jrollins@finestructure.net>, martin f. krafft <madduck@debian.org>, 
-	   David Bremner <bremner@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), pkg-config, libxapian-dev, 
- libgmime-2.4-dev, libtalloc-dev, libz-dev,  python-all (>= 2.6.6-3~),
- emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~)
+Uploaders:
+ Jameson Graef Rollins <jrollins@finestructure.net>,
+ martin f. krafft <madduck@debian.org>,
+ David Bremner <bremner@debian.org>
+Build-Depends:
+ debhelper (>= 7.0.50~),
+ pkg-config,
+ libxapian-dev,
+ libgmime-2.4-dev,
+ libtalloc-dev,
+ libz-dev,
+ python-all (>= 2.6.6-3~),
+ emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
+ gdb,
+ dtach
 Standards-Version: 3.9.2
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
@@ -15,7 +25,7 @@
 
 Package: notmuch
 Architecture: any
-Depends: libnotmuch1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnotmuch2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: notmuch-emacs | notmuch-vim
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
@@ -25,7 +35,7 @@
  .
  This package contains the notmuch command-line interface
 
-Package: libnotmuch1
+Package: libnotmuch2
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -41,7 +51,7 @@
 Package: libnotmuch-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libnotmuch1 (= ${binary:Version})
+Depends: ${misc:Depends}, libnotmuch2 (= ${binary:Version})
 Description: thread-based email index, search and tagging (development)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -54,7 +64,7 @@
 Package: python-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, libnotmuch1
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch2
 Description: python interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -69,7 +79,7 @@
 Section: mail
 Breaks: notmuch (<<0.6~254~)
 Replaces: notmuch (<<0.6~254~)
-Depends: ${misc:Depends}, notmuch,
+Depends: ${misc:Depends}, notmuch (>= ${source:Version}),
  emacs23 (>= 23~) | emacs23-nox (>=23~) | emacs23-lucid (>=23~)
 Description: thread-based email index, search and tagging (emacs interface)
  Notmuch is a system for indexing, searching, reading, and tagging

## notmuch 0.11.1

=== debian/changelog ===
notmuch (0.11.1-1) unstable; urgency=low

  * Upstream bugfix release
    - Fix error handling bug in python bindings
    - Fix vulnerability in emacs reply handling

 -- David Bremner <bremner@debian.org>  Fri, 03 Feb 2012 08:35:41 -0400

notmuch (0.11-1) unstable; urgency=low

  * New upstream release.
    - New 'hook' feature for notmuch-new
    - performance and memory use improvements
    - new add-on tool notmuch-deliver

 -- David Bremner <bremner@debian.org>  Fri, 13 Jan 2012 19:59:23 -0400

notmuch (0.11~rc3-1) experimental; urgency=low

  * New upstream release candidate
    - Fix for uninitialized variable(s) in notmuch-reply

 -- David Bremner <bremner@debian.org>  Mon, 09 Jan 2012 07:07:46 -0400

notmuch (0.11~rc2-1) experimental; urgency=low

  * New upstream release candidate.
    - Includes fix for one python bindings segfault.

 -- David Bremner <bremner@debian.org>  Mon, 02 Jan 2012 06:57:29 -0400

notmuch (0.11~rc1-1) experimental; urgency=low

  * New upstream release candidate.

 -- David Bremner <bremner@debian.org>  Sun, 25 Dec 2011 23:07:08 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python-all (>= 2.6.6-3~),
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
  gdb,
- dtach
+ dtach (>= 0.8)
 Standards-Version: 3.9.2
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

override_dh_auto_configure:
	dh_auto_configure -- --emacslispdir=/usr/share/emacs/site-lisp/notmuch

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory bindings/python

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory bindings/python

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory bindings/python

## notmuch 0.12~rc1

=== debian/changelog ===
notmuch (0.12~rc1-1) experimental; urgency=low

  * Upstream pre-release.
  * Bump standards version to 3.9.3; no changes.

 -- David Bremner <bremner@debian.org>  Thu, 01 Mar 2012 07:51:45 -0400

## notmuch 0.12

=== bindings/go/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ${GOROOT}/src/Make.inc

all: install

DIRS=\
        pkg\
        cmds\


clean.dirs: $(addsuffix .clean, $(DIRS))
install.dirs: $(addsuffix .install, $(DIRS))
nuke.dirs: $(addsuffix .nuke, $(DIRS))
test.dirs: $(addsuffix .test, $(TEST))
bench.dirs: $(addsuffix .bench, $(BENCH))

%.clean:
	+cd $* && $(QUOTED_GOBIN)/gomake clean

%.install:
	+cd $* && $(QUOTED_GOBIN)/gomake install

clean: clean.dirs

install: install.dirs

#-include ${GOROOT}/src/Make.deps

=== debian/changelog ===
notmuch (0.12-1) unstable; urgency=low

  * New upstream release
    - Python 3.2 support
    - GMime 2.6 support
    - Many updates to emacs interface (see /usr/share/doc/notmuch/NEWS)
    - Optionally ignore some files/directories within mail hierarchy

 -- David Bremner <bremner@debian.org>  Tue, 20 Mar 2012 18:45:22 -0300

notmuch (0.12~rc2-1) experimental; urgency=low

  * Upstream pre-release
  * New bug fixes since ~rc1
    - fix for uninitialized variable
    - fix for python bindings type signatures

 -- David Bremner <bremner@debian.org>  Sun, 18 Mar 2012 08:10:35 -0300

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
  debhelper (>= 7.0.50~),
  pkg-config,
  libxapian-dev,
- libgmime-2.4-dev,
+ libgmime-2.6-dev (>= 2.6.7~) | libgmime-2.4-dev,
  libtalloc-dev,
  libz-dev,
  python-all (>= 2.6.6-3~),
  emacs23-nox | emacs23 (>=23~) | emacs23-lucid (>=23~),
  gdb,
  dtach (>= 0.8)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://notmuchmail.org/
 Vcs-Git: git://notmuchmail.org/git/notmuch
 Vcs-Browser: http://git.notmuchmail.org/git/notmuch

## notmuch 0.13.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all:
 
 # List all subdirectories here. Each contains its own Makefile.local
-subdirs = compat completion emacs lib util test
+subdirs = compat completion emacs lib man util test
 
 # We make all targets depend on the Makefiles themselves.
 global_deps = Makefile Makefile.config Makefile.local \

=== debian/changelog ===
notmuch (0.13.2-1) unstable; urgency=low

  * Upstream bugfix release. No changes to binary packages.

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2012 18:16:01 -0300

notmuch (0.13.1-1) unstable; urgency=low

  * Upstream bugfix release.
    - fix for encoding problems with reply in emacs
    - notmuch_database_(get_directory|find_message_by_filename) now
      work for read-only databases.

 -- David Bremner <bremner@debian.org>  Fri, 25 May 2012 21:19:06 -0300

notmuch (0.13-1) unstable; urgency=low

  * New upstream release. See /usr/share/doc/notmuch/NEWS.gz for changes.

  [ Stefano Zacchiroli ]
  * Recommend all notmuch UI (including notmuch-mutt) as alternatives,
    to avoid unneeded vim/emacs installation. Thanks Matteo F. Vescovi
    for the patch. (Closes: #673011)

 -- David Bremner <bremner@debian.org>  Tue, 15 May 2012 18:19:32 -0300

notmuch (0.13~rc1-2) experimental; urgency=low

  * New upstream pre-release
  * new binary package "notmuch-mutt" for Mutt integration
  * Bump libnotmuch SONAME because of API changes

 -- David Bremner <bremner@debian.org>  Sat, 05 May 2012 10:26:47 -0300

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
 
 Package: notmuch
 Architecture: any
-Depends: libnotmuch2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Recommends: notmuch-emacs | notmuch-vim
+Depends: libnotmuch3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: notmuch-emacs | notmuch-vim | notmuch-mutt,  gnupg-agent
 Description: thread-based email index, search and tagging
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -35,7 +35,7 @@
  .
  This package contains the notmuch command-line interface
 
-Package: libnotmuch2
+Package: libnotmuch3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -51,7 +51,7 @@
 Package: libnotmuch-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libnotmuch2 (= ${binary:Version})
+Depends: ${misc:Depends}, libnotmuch3 (= ${binary:Version})
 Description: thread-based email index, search and tagging (development)
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -64,7 +64,7 @@
 Package: python-notmuch
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, libnotmuch2
+Depends: ${misc:Depends}, ${python:Depends}, libnotmuch3
 Description: python interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -105,3 +105,19 @@
  This package provides a vim based mail user agent based on
  notmuch.
 
+Package: notmuch-mutt
+Architecture: all
+Depends: notmuch, libmail-box-perl, libmailtools-perl,
+ libstring-shellquote-perl, libterm-readline-gnu-perl,
+ ${misc:Depends}
+Recommends: mutt
+Enhances: notmuch, mutt
+Description: thread-based email index, search and tagging (Mutt interface)
+ notmuch-mutt provides integration among the Mutt mail user agent and
+ the Notmuch mail indexer.
+ .
+ notmuch-mutt offer two main integration features. The first one is
+ the ability of stating a search query interactively and then jump to
+ a fresh Maildir containing its search results only. The second one is
+ the ability to reconstruct threads on the fly starting from the
+ current highlighted mail.

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,12 @@
 override_dh_auto_build:
 	dh_auto_build
 	dh_auto_build --sourcedirectory bindings/python
+	$(MAKE) -C contrib/notmuch-mutt
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --sourcedirectory bindings/python
+	$(MAKE) -C contrib/notmuch-mutt clean
 
 override_dh_auto_install:
 	dh_auto_install

## notmuch 0.14

=== bindings/go/Makefile ===
# Makefile for the go bindings of notmuch

export GOPATH      ?= $(shell pwd)
export CGO_CFLAGS  ?= -I../../../../lib
export CGO_LDFLAGS ?= -L../../../../lib

GO         ?= go
GOFMT      ?= gofmt

all: notmuch notmuch-addrlookup

.PHONY: notmuch
notmuch:
	$(GO) install notmuch

.PHONY: goconfig
goconfig:
	if [ ! -d src/github.com/kless/goconfig/config ]; then \
	    $(GO) get github.com/kless/goconfig/config; \
	fi

.PHONY: notmuch-addrlookup
notmuch-addrlookup: notmuch goconfig
	$(GO) install notmuch-addrlookup

.PHONY: format
format:
	$(GOFMT) -w=true $(GOFMT_OPTS) src/notmuch
	$(GOFMT) -w=true $(GOFMT_OPTS) src/notmuch-addrlookup

.PHONY: check-format
check-format:
	$(GOFMT) -d=true $(GOFMT_OPTS) src/notmuch
	$(GOFMT) -d=true $(GOFMT_OPTS) src/notmuch-addrlookup

.PHONY: clean
clean:
	$(GO) clean notmuch
	$(GO) clean notmuch-addrlookup
	rm -rf pkg bin

=== debian/changelog ===
notmuch (0.14-1) experimental; urgency=low

  [ Stefano Zacchiroli ]
  * notmuch-mutt: fix tag action invocation (Closes: #678012)
  * Use notmuch-search-terms manpage in notmuch-mutt (Closes: #675073).

  [ David Bremner ]
  * Do a better job of cleaning up after configuration and testing
    (Closes: #683505)
  * Alternately depend on emacs24 instead of emacs23 (Closes: #677900).
  * New upstream version
    - incompatible changes to dump/restore syntax
    - bug fixes for maildir synchronization

 -- David Bremner <bremner@debian.org>  Tue, 21 Aug 2012 10:39:33 +0200
